services:
  notionai:
    image: node:20  # Use Node.js version 20
    working_dir: /app
    volumes:
      - ./:/app
    ports:
      - "3004:3000"  # This maps port 3000 inside the container to port 3004 on the host
    environment:
      - NODE_ENV=development
      - DATABASE_URL=${DATABASE_URL}  # Ensure to reference DATABASE_URL here
    command: ["npm", "run", "dev"]
  redis:
    image: redis:latest
    restart: always
    ports:
      - "6379:6379"
